Bug 239428 - games/jinput: take maintainership and update to 2.0.10
Summary: games/jinput: take maintainership and update to 2.0.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL: https://reviews.freebsd.org/D21057
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2019-07-24 18:07 UTC by voidanix
Modified: 2019-12-08 15:21 UTC (History)
1 user (show)

See Also:


Attachments
update-jinput (3.22 KB, patch)
2019-07-24 18:07 UTC, voidanix
no flags Details | Diff
update-jinput (3.20 KB, patch)
2019-07-25 08:34 UTC, voidanix
no flags Details | Diff
update-jinput2 (4.12 KB, patch)
2019-12-08 11:24 UTC, voidanix
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description voidanix 2019-07-24 18:07:24 UTC
Created attachment 206039 [details]
update-jinput

Switch to maven as well

I haven't tested this on armv6/7, but it shouldn't work nevertheless
Comment 1 Koichiro Iwao freebsd_committer 2019-07-25 02:54:55 UTC
Patch fails to build.

=======================<phase: build          >============================
===>  Building for jinput-2.0.9
cd /wrkdirs/usr/ports/games/jinput/work/jinput-2.0.9;  /usr/bin/env mvn --offline -B -P windows,linux,osx,wintab -Dmaven.antrun.skip -Dmaven.javadoc.skip -Dmaven.source.skip -Dmaven.test.skip -DskinTests -DskipITs package
[INFO] Scanning for projects...
[WARNING] The POM for org.sonatype.plugins:nexus-staging-maven-plugin:jar:1.6.8 is missing, no dependency information available
[ERROR] [ERROR] Some problems were encountered while processing the POMs:
[ERROR] Unresolveable build extension: Plugin org.sonatype.plugins:nexus-staging-maven-plugin:1.6.8 or one of its dependencies could not be resolved: The following artifacts could not be resolved: org.sonatype.plugins:nexus-staging-maven-plugin:jar:1.6.8, org.codehaus.plexus:plexus-utils:jar:1.1: Cannot access central (https://repo.maven.apache.org/maven2) in offline mode and the artifact org.sonatype.plugins:nexus-staging-maven-plugin:jar:1.6.8 has not been downloaded from it before. @
 @
[ERROR] The build could not read 1 project -> [Help 1]
[ERROR]
[ERROR]   The project net.java.jinput:jinput-parent:2.0.9-SNAPSHOT (/wrkdirs/usr/ports/games/jinput/work/jinput-2.0.9/pom.xml) has 1 error
[ERROR]     Unresolveable build extension: Plugin org.sonatype.plugins:nexus-staging-maven-plugin:1.6.8 or one of its dependencies could not be resolved: The following artifacts could not be resolved: org.sonatype.plugins:nexus-staging-maven-plugin:jar:1.6.8, org.codehaus.plexus:plexus-utils:jar:1.1: Cannot access central (https://repo.maven.apache.org/maven2) in offline mode and the artifact org.sonatype.plugins:nexus-staging-maven-plugin:jar:1.6.8 has not been downloaded from it before. -> [Help 2]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/ProjectBuildingException
[ERROR] [Help 2] http://cwiki.apache.org/confluence/display/MAVEN/PluginManagerException
*** Error code 1
Comment 2 voidanix 2019-07-25 08:34:19 UTC
Created attachment 206053 [details]
update-jinput

Now colorized and should fetch deps
Comment 3 Koichiro Iwao freebsd_committer 2019-07-29 00:15:32 UTC
Still failing. Did you test it? I give up this because patch quality is low.


=======================<phase: build          >============================
===>  Building for jinput-2.0.9
cd /wrkdirs/usr/ports/games/jinput/work/jinput-2.0.9;  /usr/bin/env mvn -P windows,linux,osx,wintab -Dmaven.antrun.skip -Dmaven.javadoc.skip -Dmaven.source.skip -Dmaven.test.skip -DskinTests -DskipITs package
[INFO] Scanning for projects...
Downloading from central: https://repo.maven.apache.org/maven2/org/sonatype/plugins/nexus-staging-maven-plugin/1.6.8/nexus-staging-maven-plugin-1.6.8.pom
[ERROR] [ERROR] Some problems were encountered while processing the POMs:
[ERROR] Unresolveable build extension: Plugin org.sonatype.plugins:nexus-staging-maven-plugin:1.6.8 or one of its dependencies could not be resolved: Failed to read artifact descriptor for org.sonatype.plugins:nexus-staging-maven-plugin:jar:1.6.8 @
 @
[ERROR] The build could not read 1 project -> [Help 1]
[ERROR]
[ERROR]   The project net.java.jinput:jinput-parent:2.0.9-SNAPSHOT (/wrkdirs/usr/ports/games/jinput/work/jinput-2.0.9/pom.xml) has 1 error
[ERROR]     Unresolveable build extension: Plugin org.sonatype.plugins:nexus-staging-maven-plugin:1.6.8 or one of its dependencies could not be resolved: Failed to read artifact descriptor for org.sonatype.plugins:nexus-staging-maven-plugin:jar:1.6.8: Could not transfer artifact org.sonatype.plugins:nexus-staging-maven-plugin:pom:1.6.8 from/to central (https://repo.maven.apache.org/maven2): repo.maven.apache.org: Name does not resolve: Unknown host repo.maven.apache.org: Name does not resolve -> [Help 2]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/ProjectBuildingException
[ERROR] [Help 2] http://cwiki.apache.org/confluence/display/MAVEN/PluginManagerException
*** Error code 1

Stop.
make: stopped in /usr/ports/games/jinput
build of games/jinput | jinput-2.0.9 ended at Mon Jul 29 09:13:47 JST 2019
build time: 00:00:23
!!! build failure encountered !!!
[00:00:29] Error: Build failed in phase: build
Comment 4 voidanix 2019-07-29 12:03:34 UTC
(In reply to Koichiro Iwao from comment #3)

I've tested this many times already on CURRENT with amd64 and it works here (the first patch didn't work properly because I had the deps already fetched in ~/.m2)

Here's a 'make install': https://paste.ee/p/rC1Ys
Comment 5 Dmitry Marakasov freebsd_committer 2019-12-03 20:47:23 UTC
> I've tested this many times already on CURRENT with amd64 and it works here

Testing on live machine is insufficient, please test in poudriere. There are at least two fatal problems here - it writes into home directory, and it tries to access the network during the build. Neither is allowed.
Comment 6 voidanix 2019-12-03 20:56:13 UTC
This was already committed a while ago (with a fixed patch tested on poudriere 11.2-RELEASE and 12.0-RELEASE, both amd64): it doesn't fetch during the build anymore and doesn't access the home directory as well. If it still does so now, please open another bug. I'm going to close this
Comment 7 voidanix 2019-12-03 21:00:04 UTC
Sorry about that but I got jutils instead jinput under my radar: I'll reopen this (ugh), the patch is ready just need to publish it
Comment 8 Dmitry Marakasov freebsd_committer 2019-12-05 15:33:15 UTC
(In reply to voidanix from comment #7)
> the patch is ready just need to publish it

So..?
Comment 9 voidanix 2019-12-08 11:24:38 UTC
Created attachment 209787 [details]
update-jinput2

Well here's the patch.

I've updated the patch to 2.0.10 since it just fixes a typo and a bug; switched to Java 8 as well: Java 6 has been removed and Java 7 might get under the nerf radar soon, so I updated the pom
Comment 10 voidanix 2019-12-08 15:21:30 UTC
Committed